Ticket #1077 (new enhancement)

Opened 5 years ago

Last modified 5 years ago

mozilla-sync should support Thunderbird 3 / Lightning 1

Reported by: henrik Owned by: henrik
Priority: low Milestone:
Component: Plugin: mozilla Version: 0.38
Severity: minor Keywords:
Cc: bjoern.ricks@…, friedrich.beckmann@…

Description

The Mozilla team is working on Thunderbird 3.0 and Lightning 1.0.

mozilla-sync should support those up-coming versions.

Unfortunately, the relevant APIs have changed significantly, and are not yet stable.

I have checked in a few changes (-r 5292), making mozilla-sync compile with the current version of Thunderbird 3.

However, much more work is needed in order to get it to actually work...

Any help would be most appreciated

(Look for "TODO Thunderbird 3" in the code)

A few pointers to (possibly) relevant info:

Also note that there has been some discussion about including OpenSync in Mozilla:

although there seems to be no "conclusion"

/H

Change History

comment:1 Changed 5 years ago by bricks

  • Cc bjoern.ricks@… added

comment:2 Changed 5 years ago by friedrich.beckmann

  • Cc friedrich.beckmann@… added
Note: See TracTickets for help on using tickets.